
/*
Commande de deux servomoteurs destinés à l'orientation Pan/Tilt d'une camera. (Version 2)
Commandés à l'aide de deux potentiomètres PotP et PotT (Joystick) 
Pan =  Panoramique.
Tilt = Inclinaison.
Inversez les entrées de commande des Servomoteurs si nécessaire (Pin 10 et 11)

F5MNA  Mars 2013  ( Mon site http://f5mna.free.fr )
*/
#include <Servo.h>;  //inclu Servo.h 

Servo Pan;           //Déclaration des servos Pan et Tilt
Servo Tilt;
int   potP = 2;      //pin lecture du potentiometre Pan
int   potT = 3;      
int   valP;          //variables pour la lecture des potentiomètres
int   valT;
int Sx,Sy;

void setup()
{
 Pan.attach(9);     //assigne pin 9 et 10 pour le signal de sortie destiné à commander les servos
 Tilt.attach(10);
}

void loop ()                              //boucle 
{  
valP = analogRead(potP);                  //Transforme les valeurs analogiques du POTP (0/5V) en valeurs numériques comprises entre 0 et 1023
valT = analogRead(potT);
  
  Sx = valP;
  Sy = valT;

valP = map(valP, 10, 1023, 0, 170);        //Ré-étalonnage: transforme valeurs numérique en degrés (echelle)
valT = map(valT, 10, 1023, 0, 170);        


delay(10);                                //Temporisation permetant aux servos d'atteindre leur position
 if ((Sx != valP)||(Sy != valT))
 {
Pan.write(valP);                          //Donne au servo Pan la valeur en degrés à atteindre
Tilt.write(valT); 
 }

}
